import React, { useEffect, useState } from 'react';
import { Disclosure } from '@headlessui/react';
import Modal from '@/components/Avator/Modal'
import { OpenDisclosure, CloseDisclosure } from '@/components/Icons';
export const ProfileTab = () => {
    const [showModal, setShowModal] = useState(false);

    const handleCloseModal = () => {
        setShowModal(false);
    };
    return (
        <>
            <Modal show={showModal} onClose={handleCloseModal} />
            <span className='text-lg text-prussianBlue/40 mb-4 block'>Profile</span>
            <div className='custom-shadow rounded flex flex-col gap-2'>
                <Disclosure as='div' className={`disclosure`} defaultOpen={true}>
                    {({ open }) => (
                        <>
                            <Disclosure.Button className={`w-full btn-gradient rounded py-3 px-7 gap-4 justify-between items-center flex ${open && "mb-3"}`}>
                                <span className='whitespace-nowrap sm:text-xl font-medium text-white'>Personal Informations</span>
                                <span className='flex-shrink-0'>
                                    {open ? <OpenDisclosure className='text-white' /> : <CloseDisclosure className='text-white' />}
                                </span>
                            </Disclosure.Button>
                            <Disclosure.Panel as='div' className='grid sm:grid-cols-2 gap-4 px-8 py-6'>
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Simo"
                                    name="Simo"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Berrada"
                                    name="Berrada"
                                />
                                <input
                                    type="number"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="+971 50 252 7198"
                                    name="+971 50 252 7198"
                                />
                                <input
                                    type="email"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="smbdigitalzone@gmail.com"
                                    name="smbdigitalzone@gmail.com"
                                />
                                <select name="Marital Status" id="" className='shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Single">Single</option>
                                    <option value="Maried">Maried</option>
                                </select>
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Date Of Birth"
                                    name="Date Of Birth"
                                />
                                <div onClick={() => setShowModal(true)} name="Avatar" id="" className='flex justify-between items-center shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    Avator
                                    <CloseDisclosure className='text-black h-3 w-3' /> 
                                </div>
                            </Disclosure.Panel>
                        </>
                    )}
                </Disclosure>
                <Disclosure as='div' className={`disclosure`}>
                    {({ open }) => (
                        <>
                            <Disclosure.Button className={`w-full btn-gradient rounded py-3 px-7 gap-4 justify-between items-center flex ${open && "mb-3"}`}>
                                <span className='whitespace-nowrap sm:text-xl font-medium text-white'>Personal Details</span>
                                <span className='flex-shrink-0'>
                                    {open ? <OpenDisclosure className='text-white' /> : <CloseDisclosure className='text-white' />}
                                </span>
                            </Disclosure.Button>
                            <Disclosure.Panel as='div' className='grid sm:grid-cols-2 gap-4 px-8 py-6'>
                                <select name="Residence Status" id="" className='shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Residence Status">Residence Status</option>
                                    <option value="Residence Status">Residence Status</option>
                                </select>
                                <select name="Country of citizenship" id="" className='shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Country Of citizenship">Country of citizenship</option>
                                    <option value="US">US</option>
                                </select>
                                <select name="Name of Employer" id="" className='shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Name of Employer">Name of Employer</option>
                                    <option value="Simo">Simo</option>
                                </select>
                                <select name="No Industry Selected" id="" className='shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="No Industry Selected">No Industry Selected</option>
                                    <option value="Simo">Simo</option>
                                </select>
                            </Disclosure.Panel>
                        </>
                    )}
                </Disclosure>
                <Disclosure as='div' className={`disclosure`}>
                    {({ open }) => (
                        <>
                            <Disclosure.Button className={`w-full btn-gradient rounded py-3 px-7 gap-4 justify-between items-center flex ${open && "mb-3"}`}>
                                <span className='whitespace-nowrap sm:text-xl font-medium text-white'>Professional Background</span>
                                <span className='flex-shrink-0'>
                                    {open ? <OpenDisclosure className='text-white' /> : <CloseDisclosure className='text-white' />}
                                </span>
                            </Disclosure.Button>
                            <Disclosure.Panel as='div' className='grid sm:grid-cols-2 gap-4 px-8 py-6'>
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Address"
                                    name="Address"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="City"
                                    name="City"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="State"
                                    name="State"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Post Code"
                                    name="Post Code"
                                />
                                <select name="Country" id="" className='shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Country">Country</option>
                                    <option value="Canda">Canda</option>
                                </select>
                            </Disclosure.Panel>
                        </>
                    )}
                </Disclosure>
                <Disclosure as='div' className={``}>
                    {({ open }) => (
                        <>
                            <Disclosure.Button className={`w-full btn-gradient rounded py-3 px-7 gap-4 justify-between items-center flex ${open && "mb-3"}`}>
                                <span className='whitespace-nowrap sm:text-xl font-medium text-white'>Financial Information</span>
                                <span className='flex-shrink-0'>
                                    {open ? <OpenDisclosure className='text-white' /> : <CloseDisclosure className='text-white' />}
                                </span>
                            </Disclosure.Button>
                            <Disclosure.Panel as='div' className='grid sm:grid-cols-2 gap-4 px-8 py-6'>
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Annual Income"
                                    name="Annual Income"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Net Worth"
                                    name="Net Worth"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Liquid Assets"
                                    name="Liquid Assets"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Bank Name"
                                    name="Bank Name"
                                />
                                <input
                                    type="text"
                                    className={`shadow-neons rounded w-full h-[48px] pl-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input `}
                                    placeholder="Bank Branch"
                                    name="Bank Branch"
                                />
                                <select name="City" id="" className='shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="City">City</option>
                                    <option className='p-2' value="City">City</option>
                                </select>
                                <select name="Country" id="" className='shadow-neons rounded w-full h-[48px] px-5 placeholder:text-dark-grey outline-with-opacity placeholder:text-[15px] placeholder:font-normal card-number-input '>
                                    <option className='p-2' value="Country">Country</option>
                                    <option className='p-2' value="US">US</option>
                                </select>
                            </Disclosure.Panel>
                        </>
                    )}
                </Disclosure>
                <div className='flex justify-end gap-3 me-10 my-3'>
                    <button className="flex justify-center border border-reefGold py-2 px-8 focus:outline-none text-lg font-medium rounded">Cancel</button>
                    <button className="flex text-white justify-center btn-gradient border-0 py-2 px-10 focus:outline-none text-lg font-medium rounded">Save</button>
                </div>
            </div>
        </>
    );
};
